Home

# Class goog.ui.media.FlickrSetModel

The {@code goog.ui.media.FlickrAlbum} media data model. It stores a required {@code userId} and {@code setId} fields, sets the flickr Set URL, and allows a few optional parameters.

extends goog.ui.media.MediaModel

Instance Method Summary
| `getSetId() ⇒ string` Gets the Flickr set id.
| `getUserId() ⇒ string` Gets the Flickr user id.

Static Method Summary
| `buildUrl(string userId, string setId) ⇒ string` Takes a flickr username and set id and returns an URL.
| `newInstance(string flickrSetUrl, string= opt_caption, string= opt_description) ⇒ ?goog.ui.media.FlickrSetModel` Takes a {@code flickrSetUrl} and extracts the flickr username and set id.